#
# spec file for package engrampa
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.16
Name:           engrampa
Version:        1.16.0
Release:        1.1
Summary:        MATE Desktop archive manager
License:        GPL-2.0+ and LGPL-2.0+
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  caja
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxml2-python
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(libcaja-extension) >= %{_version}
BuildRequires:  pkgconfig(sm)
Recommends:     %{name}-lang
# mate-file-archiver was last used in openSUSE 13.1.
Provides:       mate-file-archiver = %{version}
Obsoletes:      mate-file-archiver < %{version}
Obsoletes:      mate-file-archiver-lang < %{version}
%glib2_gsettings_schema_requires

%description
Engrampa is an archive manager for the MATE Desktop Environment.
This means that you can create and modify archives; view the
content of an archive; view and modify a file contained in the
archive; extract files from the archive.

%lang_package

%package -n caja-%{name}
Summary:        MATE Desktop engrampa plugin for caja
Group:          System/GUI/Other
Requires:       %{name} = %{version}-%{release}
# mate-file-manager-engrampa was last used in openSUSE 13.1.
Provides:       mate-file-manager-%{name} = %{version}
Obsoletes:      mate-file-manager-%{name} < %{version}

%description -n caja-engrampa
Engrampa is an archive manager for the MATE Desktop Environment.
This means that you can create and modify archives; view the
content of an archive; view and modify a file contained in the
archive; extract files from the archive.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static                    \
  --disable-scrollkeeper              \
  --libexecdir=%{_libexecdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%post
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.?%{?ext_man}

%files -n caja-%{name}
%defattr(-,root,root)
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%{_libdir}/caja/extensions-2.0/libcaja-%{name}.so

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
  - -with-gtk build option.
  * Port to GtkApplication.
  * Use natural sort order when sorting by filename.
  * Use application chooser dialog from GTK+ for "Open With"
    command instead of custom code.
  * Make "encrypt header" option insensitive if no password is
    specified.
  * Give unrar priority over p7zip when processing RAR archives.
  * 7z: Add support for p7zip-rar >= 15.14.
  * 7z: Fix issues with files prefixed with '@'.
  * Fix some GTK+ deprecations.
  * Some more fixes and cleanups.
  * Update translations.
* Sun May 22 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * tar: Fix problems with backslashes.
  * 'All files' is duplicated in available formats.
  * Fix extracting files with single-character names.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Update translations.
* Sun Feb 21 2016 sor.alexei@meowr.ru
- Update to version 1.13.1 (changes since 1.12.0):
  * 7z: Correct checking for p7zip 15.09+.
  * Drop MateConf migration script.
  * Fix random crash in "open with" dialog.
  * rar: Avoid "No files to extract" message when disabling
    overwriting existing files.
  * tar: Allow changing contents of .txz files (like it's allowed
    for .tar.xz files)
  * unar, 7z: Avoid problems with '?' char in filenames.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Fix ngettext usage in progress dialog.
  * Make extracting multiple archives to a separate dir actually
    work.
  * Fix overwrite check when the files to be extracted are inside a
    directory.
* Wed Oct 14 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Some string fixes.
  * Update translations.
* Thu Oct  1 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Do not crash while opening archives on network drives.
  * Fix extracting archives with '[' in filename.
  * Some other improvements.
* Mon Jul 13 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Help fixes.
  * UI fixes.
* Tue May  5 2015 sor.alexei@meowr.ru
- Update to 1.10.0 (changes since 1.9.2):
  * Update translations.
- Spec cleanup.
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.2 (unstable)
  * Fix hyphen-as-minus-sign issues for engrampa.1 man page
  * Add keywords key to .desktop file
* Wed Dec 10 2014 p.drouand@gmail.com
- Add caja make requirement; do not own extensions directory
* Sun Nov 23 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + Fix open rar file inside a rar file
  + Drop support for Gtk+ < 2.24
  + Unifiy code as to be used in Gtk+2 and Gtk+3
  + Drop support for Glib < 2.32
  + Do not set the selected app as the system default
  + Fix possible errors with some password protected files
  + Use Caja GSettings schema optionally
  + Add ini file for caja extension
  + Add engrampa.appdata.xml
  + Fix memory leaks
  + Fixed crash when clicking Cancel in Add Files
  + use g_get_user_config_dir instead of using .config/mate
  + do not set the "last output" dialog as modal to allow the user to resize it
  + Fixed loading of multi-volume rar archives with 7zip
  + use GtkRecentAction objects to create the recent file choosers
  + Several string improvements
  + set a mnemonic for the label in the request dialog
  + Change strings to use ellipsis
  + allow to compress iso images and tar archives from the caja menu
  + Ask overwrite confirmation when extracting files with drag&drop
  + Small fixes for Gtk3 engrampa
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Fix hyphen-as-minus-sign issues for engrampa.1 man page
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + Several small fixes to manpages
  + Add keywords key to .desktop file
  + Fix opening file from rar file (unrar)
  + Do not set the selected app as the system default
  + Fix possible errors with some password protected files (RAR 5)
* Wed Mar 12 2014 p.drouand@gmail.com
- Obsolete mate-file-archiver-lang in main package to avoid conflicts
  with this one
- Require libcaja-extension to ensure building with correct version
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + updates to man pages.
  + update translations.
* Fri Feb 14 2014 p.drouand@gmail.com
- Initial release (version 1.7.1)
